function [ees,info,lambda] = dcopf_inter_oct(datoteka,uvazi_razmeni,snimaj)
if nargin == 1, uvazi_razmeni = true; snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; [PGmin,PGmax] = deal(G(:,3),G(:,4)); NG = size(G,1);
T = ees.trosoci; [a,b,c] = deal(T(:,2),T(:,3),T(:,4));
H = matrica_h(ees); PGRmax = ees.granki(:,4);
PP = ees.jazli(:,3);
oblast = ees.jazli(:,4); NO = max(oblast);
SumaPP = zeros(NO,1);
for i = 1:NO
    j = oblast == i;
    SumaPP(i) = sum(PP(j));
end
[O1,O2,DP] = deal(ees.razmena(:,1),ees.razmena(:,2),ees.razmena(:,3));
for i = 1:size(DP,1)
    SumaPP(O1(i)) = SumaPP(O1(i)) + DP(i);
    SumaPP(O2(i)) = SumaPP(O2(i)) - DP(i);
end
PG0 = (PGmin + PGmax)/2;
if uvazi_razmeni
    oblastg = oblast(ees.generatori(:,1));
    SumaG = zeros(NO,NG);
    for i = 1:NO
        j = oblastg == i;
        SumaG(i,j) = 1;
    end
    tic; [PG,F,info,lambda] = ...
        qp(PG0,2*diag(c),b,SumaG,SumaPP,PGmin,PGmax,-PGRmax,H,PGRmax);
    ees.F = F + sum(a); ees.vreme = toc;
else
    tic; [PG,F,info,lambda] = ...
        qp(PG0,2*diag(c),b,ones(1,NG),sum(PP),PGmin,PGmax,-PGRmax,H,PGRmax);
    ees.F = F + sum(a); ees.vreme = toc;
end
ees.generatori(:,2) = PG; ees = dcpf(ees,false);
if snimaj; snimi_dcpf(ees); type('dcpf.txt'); end
