function [ees,exitflag,output,lambda] = dcttc(datoteka,snimaj)
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
ees = dcpf(ees,false);
G = ees.generatori; [PG0,PGmin0,PGmax0] = deal(G(:,2),G(:,3),G(:,4)); NG = length(PG0);
H = matrica_h(ees); PGRmax = ees.granki(:,4);
v1 = multifind(ees.generatori(:,1),ees.gen_izvoz);
v2 = multifind(ees.generatori(:,1),ees.gen_uvoz);
v = [v1 v2];
PGmin = PG0; PGmin(v) = PGmin0(v);
PGmax = PG0; PGmax(v) = PGmax0(v);
f = zeros(1,NG); f(v1) = 1;
Aeq = zeros(1,NG); Aeq(v) = 1;
beq = sum(PG0(v));
tic; [PG,F,exitflag,output,lambda] = ...
     linprog(-f,[H; -H],[PGRmax; PGRmax],Aeq,beq,PGmin,PGmax);
ees.F = -F; ees.vreme = toc;
ees.DE = sum(PG(v1)-PG0(v1));
ees.TTC = [ees.generatori(v,1) PG(v) PG0(v)];
ees.generatori(:,2) = PG; ees = dcpf(ees,false);
if snimaj; snimi_dcpf(ees); type('dcpf.txt'); end

function v = multifind(u,v)
for i = 1:length(v)
    j = find(u == v(i));
    v(i) = j;
end
