function a = dijagram_polinom(datoteka,N)
x = load(datoteka); n = length(x); T = n;
x = sort(x,'descend');
Pmax = x(1); Pmin = x(end); m = Pmin/Pmax;
W = (x(1)+x(2))/2 + sum(x(2:end));
x = x/Pmax;
y = ((1:n)' - 1)/(n - 1);
A = zeros(N+1);
for i = 1:N+1
    for j = 1:N+1
        A(i,j) = sum(x.^(i+j-2));
    end
end
C = ones(3,N+1);
for i = 1:N+1
    C(1,i) = m^(i-1);
    C(3,i) = (1-m^i)/i;
end
A = [
    A   C'/2
    C zeros(3)
    ];
B = zeros(N+1,1);
for i = 1:N+1
    B(i) = sum(x.^(i-1).*y);
end
B = [B; 1; 0; W/(Pmax*T)-m];
c = A\B;
a = c(1:N+1);
yp = polyval(a(N+1:-1:1),x);
plot(x,[y yp]); grid;
