Y = [
   4.8008-48.4742i  -4.8008+48.7581i
  -4.8008+48.7581i   4.8008-48.4742i
  ];
U = [1.0125; 1]; Um = U; Ua = [0; 0];
Sdad = [0; -5-2i];
konverg = false; iter = 0;
while (~konverg && iter < 20)
    iter = iter + 1;
    Spres = U .* conj(Y * U);
    dS = Spres - Sdad;
    F = [
        real(dS(2))
        imag(dS(2))
        ];
    konverg = norm(F, inf) < 1e-6;
    dS_dUa = 1j*(diag(Spres) - diag(U)*conj(Y*diag(U)));
    dS_dUm = diag(Spres./abs(U)) + diag(U)*conj(Y*diag(U./abs(U)));
    J = [
        real(dS_dUa(2,2))  real(dS_dUm(2,2))
        imag(dS_dUa(2,2))  imag(dS_dUm(2,2))
        ];
    dx = -J\F;
    Ua(2) = Ua(2) + dx(1);
    Um(2) = Um(2) + dx(2);
    U = Um .* exp(1j * Ua);
end
