function snimi_dcpf(ees)
fid = fopen('dcpf.txt','w');
    fprintf(fid,'vreme = %.3f sek\n',ees.vreme);
    if isfield(ees,'F')
         fprintf(fid,'F = %.2f\n',ees.F);
    end
    if isfield(ees,'DE')
         fprintf(fid,'DE = %.3f MW\n',ees.DE);
         fprintf(fid,'----------------------------\n');
         fprintf(fid,'             TTC            \n');
         fprintf(fid,'----------------------------\n');
         fprintf(fid,'      PG(MW) PG0(MW)  DP(MW)\n');
         ees.TTC(:,4) = ees.TTC(:,2) - ees.TTC(:,3);
         for i = 1:size(ees.TTC,1)
             fprintf(fid,'%4i%8.3f%8.3f%8.3f\n',ees.TTC(i,:));
         end
    end
    fprintf(fid,'%s\n','---------------------');
    fprintf(fid,'%s\n','  NAPONI NA JAZLITE  ');
    fprintf(fid,'%s\n','---------------------');
    fprintf(fid,'          MW   Teta(o)\n');
    n = size(ees.jazli,1);
    for i = 1:n
    	fprintf(fid,'%4i%7.2f%10.3f\n',i, ees.jazli(i,[3 5]));
    end
    fprintf(fid,'%s\n','-------------------------------');
    fprintf(fid,'%s\n','    MOKNOSTI NA GENERATORITE   ');
    fprintf(fid,'%s\n','-------------------------------');
    fprintf(fid,'          PG      PGmin    PGmax\n');
    ng = size(ees.generatori,1);
    [igen, PG] = deal(ees.generatori(:,1),ees.generatori(:,2));
    [PGmin, PGmax] = deal(ees.generatori(:,3),ees.generatori(:,4));
    for i = 1:ng
        znak = ' ';
        if PG(i) > PGmax(i) znak = '+'; end
        if PG(i) < PGmin(i) znak = '-'; end
        fprintf(fid, '%4i%8.2f%2s%9.1f%9.1f\n', ...
            igen(i),PG(i),znak,PGmin(i),PGmax(i));
    end
    [f, t] = deal(ees.granki(:,1),ees.granki(:,2));
    PGRmax = ees.granki(:,4);
    PGR = ees.granki(:,6);
    fprintf(fid,'%s\n','---------------------------------');
    fprintf(fid,'%s\n','       MOKNOSTI VO GRANKITE      ');
    fprintf(fid,'%s\n','---------------------------------');
    fprintf(fid, '                MW   MWdoz      %%\n');
    m = size(ees.granki,1);
    for i = 1:m
        znak = ' ';
        if PGR(i) > PGRmax(i), znak = '+'; end
        fprintf(fid, '%4i%4i%10.3f%8.1f%7.1f%2s\n', ...
            f(i),t(i),PGR(i),PGRmax(i),abs(PGR(i))/PGRmax(i)*100,znak);
    end
fclose(fid);
