function [PG, A, F] = uc_broenje(datoteka)
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; NG = size(G,1);
[PGmin,PGmax,a,b,c] = deal(G(:,2),G(:,3),G(:,4),G(:,5),G(:,6));
PP = ees.PP;
Fmin = 1e9;
A = zeros(1,NG);
for i=1:2^NG
    binaren = dec2bin(i,NG);
    for j=1:NG
        A(j) = str2num(binaren(j));
    end
    F = ek_disp_01(A,NG,PGmin,PGmax,a,b,c,PP);
    if F < Fmin
        Fmin = F;
        imin = i;
    end
end
binaren = dec2bin(imin,NG);
for j=1:NG
	A(j) = str2num(binaren(j));
end
[F, PG] = ek_disp_01(A,NG,PGmin,PGmax,a,b,c,PP);
