function [PG, A, F] = uc_ga(datoteka,N,M,pc,pm,d)
if nargin == 1
    N = 100; M = 300; pc = 0.8; pm = 0.1; d = 5;
end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; NG = size(G,1);
[PGmin,PGmax,a,b,c] = deal(G(:,2),G(:,3),G(:,4),G(:,5),G(:,6));
PP = ees.PP;
geni = pocetok(N,PGmin,PGmax,PP);
F = zeros(N,1);
for i = 1:N
    F(i) = ek_disp_01(geni(i,:),NG,PGmin,PGmax,a,b,c,PP);
end
[Fmin, i] = min(F);
F(N+1) = Fmin;
geni(N+1,:) = geni(i,:);
Fmin = inf; igen = 0; kraj = false;
while igen < M && ~kraj
    igen = igen + 1;
    geni = selekcija(geni,F);
    geni = vkrstuvanje(geni,pc);
    geni = mutacija(igen,M,geni,pm,d);
    for i = 1:N
        F(i) = ek_disp_01(geni(i,:),NG,PGmin,PGmax,a,b,c,PP);
    end
    [geni, F] = elitizam(geni,F);
    if F(N+1) < Fmin, Fmin = F(N+1); end
    Fsr = mean(F); D = (Fsr - F(N+1))/F(N+1);
    kraj = D < 0.001;
    fprintf('%4i  %.6e  %.6e  %.6f\n',igen,F(N+1),Fsr,D);
end
A = geni(N+1,:);
[F,PG] = ek_disp_01(A,NG,PGmin,PGmax,a,b,c,PP);
