X0 = [0.65; 1; 1];
Xmin = [0.3; 0.95; 0.95];
Xmax = [1; 1.1; 1.1];
[X,F,exitflag] = fmincon('PGsuma1',X0,[],[],[],[],Xmin,Xmax,'ogranicuvanja1');
%Proverka na ogranicuvanjata i presmetka na sostojbenite i zavisnite promenlivi
[c, ceq, t1, PG2, QG1, QG2, SGR1, SGR2] = ogranicuvanja1(X);
fprintf('F = %7.2f MW\n',100 * F);
fprintf('PG1 = %7.3f MW\n',100 * X(1));
fprintf('U1 = %9.6f pu\n',X(2));
fprintf('U2 = %9.6f pu\n',X(3));
fprintf('PG2 = %7.3f MW\n',100 * PG2);
fprintf('QG1 = %7.3f Mvar\n',100 * QG1);
fprintf('QG2 = %7.3f Mvar\n',100 * QG2);
SGR1 = 100 * SGR1;
fprintf('SGR1 = (%10.3f MW, %10.3f Mvar) %10.3f MVA\n',real(SGR1),imag(SGR1),abs(SGR1));
SGR2 = 100 * SGR2;
fprintf('SGR2 = (%10.3f MW, %10.3f Mvar) %10.3f MVA\n',real(SGR2),imag(SGR2),abs(SGR2));
