function ees = citaj_matpower(datoteka)
if isstruct(datoteka)
    mpc = datoteka;
else
    mpc = feval(datoteka);
end
ees.Sb = mpc.baseMVA;
mpc.bus(mpc.bus(:,10) == 0, 10) = 110; % Ub(kV)
ees.jazli = mpc.bus(:,[1 2 10 3 4 6 7 13 12]);
mpc.branch(mpc.branch(:,6) == 0, 6) = 1000; % Smax(MVA)
mpc.branch(mpc.branch(:,9) == 0, 9) = 1; % m(pu)
ees.granki = mpc.branch(:,[1:5 9 6 11]);
ees.generatori = mpc.gen(:,[1:3 6 10 9 5 4 8]);
if isfield(mpc,'gencost')
    ees.trosoci = [mpc.gen(:,1) mpc.gencost(:,[7 6 5])];
end
