X12 = 0.41*30/121;
X25 = 0.41*40/121;
X34 = 0.42*70/484;
XT  = 0.11*231^2/150/484;
B = [
    1/X12 + 1/XT,        -1/X12,        -1/XT,            0
          -1/X12, 1/X12 + 1/X25,            0,            0
           -1/XT,             0, 1/XT + 1/X34,       -1/X34
               0,             0,       -1/X34, 1/X34 + 1/XT];
P = [2.5; -1; 0; 0];
teta = B \ P; teta(5) = 0;
PGR = [
    (teta(1) - teta(2)) / X12
    (teta(2) - teta(5)) / X25
    (teta(3) - teta(4)) / X34
    (teta(1) - teta(3)) / XT
    (teta(4) - teta(5)) / XT
    ] * 100
