function [ees,status,extra] = dcmax_oct(datoteka,snimaj)
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; [PGmin,PGmax] = deal(G(:,3),G(:,4)); NG = size(G,1);
H = matrica_h(ees); PGRmax = ees.granki(:,4);
M = size(H,1);
ctype = char(85*ones(1,2*M));
tic; [PG,F,status,extra] = ...
    glpk(-ones(NG,1),[H; -H],[PGRmax; PGRmax],PGmin,PGmax,ctype);
F = -F; ees.F = F; ees.vreme = toc;
ees.generatori(:,2) = PG; ees.jazli(:,3) = ees.jazli(:,3) * F/sum(ees.jazli(:,3));
ees = dcpf(ees,false);
if snimaj; snimi_dcpf(ees); type('dcpf.txt'); end
