function [ees,info,lambda] = dcopf_oct(datoteka,snimaj)
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; [PGmin,PGmax] = deal(G(:,3),G(:,4)); NG = size(G,1);
T = ees.trosoci; [a,b,c] = deal(T(:,2),T(:,3),T(:,4));
H = matrica_h(ees); PGRmax = ees.granki(:,4);
PP = sum(ees.jazli(:,3));
PG0 = (PGmin + PGmax)/2;
tic; [PG,F,info,lambda] = ...
    qp(PG0,2*diag(c),b,ones(1,NG),PP,PGmin,PGmax,-PGRmax,H,PGRmax);
ees.F = F + sum(a); ees.vreme = toc;
ees.generatori(:,2) = PG; ees = dcpf(ees,false);
if snimaj; snimi_dcpf(ees); type('dcpf.txt'); end
