function [c, ceq] = voda(X,NT,NH,ND,a,b,c,alfa,beta,gama,Vmax,T)
P = reshape(X(NT*ND+1:end),ND,NH)';
V = zeros(NH,1);
for i = 1:ND
    Pi = P(:,i);
    V = V + (alfa + beta.*Pi + gama.*Pi.^2)*T(i);
end
c = V - Vmax;
ceq = [];
