function [Y, f, t, Y1, Y2, Y3] = matrica_y(Sb, jazli, granki)
n   = size(jazli,1);
ngr = size(granki,1);
[f, t, Ygranki, Bgranki, m, status] = ...
    deal(granki(:,1), granki(:,2), 1./(granki(:,3)+1j*granki(:,4)), ...
    granki(:,5), granki(:,6), granki(:,8));
Y1 = status .* Ygranki./m;
Y2 = status .* (1j*Bgranki/2 + 1./m .* (1./m - 1) .* Ygranki);
Y3 = status .* (1j*Bgranki/2 + (1 - 1./m) .* Ygranki);
Ysh = 1j*jazli(:,6)/Sb;
A =   sparse(1:ngr, f, ones(ngr, 1), ngr, n) ...
    - sparse(1:ngr, t, ones(ngr, 1), ngr, n);
Y =   A' * sparse(1:ngr,1:ngr,Y1) * A ...
    + sparse(f, f, Y2, n, n) ...
    + sparse(t, t, Y3, n, n) ...
    + sparse(1:n,1:n,Ysh);
