MREZA = [
    1  2  0.1  0.2  0.04
    2  3  0.1  0.3  0.04
    3  4  0.05 0.15 0.02
    4  1  0.05 0.15 0.02
    ];
M = size(MREZA, 1);
f = MREZA(:,1); t = MREZA(:,2);  N = max(max(f), max(t));
Y1 = 1./(MREZA(:,3) + 1j*MREZA(:,4)); Y2 = 1j*MREZA(:,5)/2; Y3 = Y2;
Y = zeros(N,N);
for i = 1:M
    j = f(i); k = t(i);
    Y(j,j) = Y(j,j) + Y1(i) + Y2(i);
    Y(k,k) = Y(k,k) + Y1(i) + Y3(i);
    Y(j,k) = Y(j,k) - Y1(i);
    Y(k,j) = Y(k,j) - Y1(i);
end
