function [PG, A, F] = uc_gamat(datoteka,N,M,pc)
if nargin == 1
    N = 100; M = 300; pc = 0.8;
end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
G = ees.generatori; NG = size(G,1);
[PGmin,PGmax,a,b,c] = deal(G(:,2),G(:,3),G(:,4),G(:,5),G(:,6));
PP = ees.PP;
trosoci = @(A) ek_disp_01(A,NG,PGmin,PGmax,a,b,c,PP);
geni = pocetok(N,PGmin,PGmax,PP);
options = gaoptimset( ...
          'PopulationType','bitString', ...
          'MutationFcn',{ @mutationgaussian 1  1 }, ...
          'PopulationSize',N, ...
          'Generations',M, ...
          'EliteCount', 10, ...
          'CrossoverFraction',pc, ...
          'FitnessScalingFcn',@fitscalingprop, ...
          'Display','iter', ...
          'InitialPopulation', geni);
A = ga(trosoci,NG,[],[],[],[],[],[],[],options);
[F, PG] = ek_disp_01(A,NG,PGmin,PGmax,a,b,c,PP);
